import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle headTitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 40,
      color: AppColor.accentColor,
      fontFamily: GoogleFonts.josefinSans().fontFamily);
  static TextStyle headtitle2 = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 26,
      color: AppColor.primaryColor,
      fontFamily: GoogleFonts.josefinSans().fontFamily);
  static TextStyle title = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 16,
      color: AppColor.primaryColor,
      fontFamily: GoogleFonts.josefinSans().fontFamily);
  static TextStyle subtitle = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 13,
      color: AppColor.primaryColor,
      fontFamily: GoogleFonts.josefinSans().fontFamily);
  static TextStyle number = TextStyle(
      fontWeight: FontWeight.bold,
      fontSize: 20,
      color: AppColor.primaryColor,
      fontFamily: GoogleFonts.josefinSans().fontFamily);

  static BoxDecoration boxDecoration = const BoxDecoration(
      borderRadius: BorderRadius.all(Radius.circular(12)),
      color: AppColor.secondaryColor,
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor,
            offset: Offset(-3, -3),
            blurRadius: 0,
            spreadRadius: 0,
            blurStyle: BlurStyle.outer),
        BoxShadow(
            color: AppColor.accentColor,
            offset: Offset(3, 3),
            blurRadius: 0,
            spreadRadius: 0,
            blurStyle: BlurStyle.outer)
      ]);
}
